org.apache.ivy.plugins.resolver

## Class VsftpResolver

- java.lang.Object
- - org.apache.ivy.plugins.resolver.AbstractResolver
  - - org.apache.ivy.plugins.resolver.BasicResolver
    - - org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
      - - org.apache.ivy.plugins.resolver.RepositoryResolver
        - - org.apache.ivy.plugins.resolver.VsftpResolver

All Implemented Interfaces:
  Validatable, DependencyResolver, HasLatestStrategy

    public class VsftpResolver
    extends RepositoryResolver

This resolver uses SecureCRT vsft to access an sftp server. It supports listing and publishing. The server host should absolutely be set using setHost, so does the username.

### Field Summary

### Fields inherited from class org.apache.ivy.plugins.resolver.BasicResolver

`DATE_FORMAT, DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED`

### Constructor Summary

Constructors
Constructor and Description
`VsftpResolver()`

### Method Summary

Methods
`void` `disconnect()`
`java.lang.String` `getAuthentication()`
`java.lang.String` `getHost()`
`java.lang.String` `getTypeName()`
`java.lang.String` `getUsername()`
`VsftpRepository` `getVsftpRepository()`
`void` `setAuthentication(java.lang.String authentication)`
`void` `setHost(java.lang.String host)`
`void` `setReadTimeout(long readTimeout)`
`void` `setReuseConnection(long time)`
`void` `setUsername(java.lang.String username)`

### Methods inherited from class org.apache.ivy.plugins.resolver.RepositoryResolver

`download, dumpSettings, exist, findResourceUsingPattern, findTokenValues, get, getDestination, getRepository, getResource, isAlwaysCheckExactRevision, listResources, listTokenValues, publish, put, putChecksum, putSignature, setAlwaysCheckExactRevision, setName, setRepository, setSettings, setSigner`

### Methods inherited from class org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver

`addArtifactPattern, addConfiguredArtifact, addConfiguredIvy, addIvyPattern, convertM2IdForResourceSearch, convertM2OrganizationForResourceSearch, convertM2ResourceSearchIdToNormal, convertM2TokenValuesForResourceSearch, findArtifactNames, findArtifactRef, findIvyFileRef, findIvyNames, findNames, findResource, findResourceUsingPatterns, getArtifactPatterns, getIvyPatterns, getModuleDescriptorExtension, isM2compatible, listTokenValues, setArtifactPatterns, setIvyPatterns, setM2compatible`

### Methods inherited from class org.apache.ivy.plugins.resolver.BasicResolver

`acceptLatest, checkModuleDescriptorRevision, clearArtifactAttempts, clearIvyAttempts, doFindArtifactRef, download, exists, filterNames, findFirstArtifactRef, getAndCheck, getArtifactRef, getChecksumAlgorithms, getDefaultRMDParser, getDependency, getPublicationDate, getRMDParser, getWorkspaceName, isAllownomd, isCheckconsistency, isEnvDependent, isForce, listModules, listOrganisations, listRevisions, listTokenValues, locate, logArtifactAttempt, logAttempt, logIvyAttempt, parse, reportFailure, reportFailure, setAllownomd, setCheckconsistency, setChecksums, setDescriptor, setEnvDependent, setForce, setWorkspaceName, shouldReturnResolvedModule, toString`

### Methods inherited from class org.apache.ivy.plugins.resolver.AbstractResolver

`abortPublishTransaction, beginPublishTransaction, checkInterrupted, checkLatest, commitPublishTransaction, doValidate, findModuleInCache, findModuleInCache, fromSystem, fromSystem, getCacheDownloadOptions, getCacheOptions, getChangingMatcherName, getChangingPattern, getDownloadOptions, getEventManager, getLatest, getLatestStrategy, getName, getNamespace, getParserSettings, getRepositoryCacheManager, getSettings, getSystemNode, hidePassword, isAfter, isValidate, saveModuleRevisionIfNeeded, setCache, setChangingMatcher, setChangingPattern, setCheckmodified, setEventManager, setLatest, setLatestStrategy, setNamespace, setRepositoryCacheManager, setValidate, toSystem, toSystem, toSystem, toSystem, toSystem, toSystem, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VsftpResolver

    public VsftpResolver()

### Method Detail

#### getTypeName

    public java.lang.String getTypeName()

Overrides:
  `getTypeName` in class `RepositoryResolver`

#### getVsftpRepository

    public VsftpRepository getVsftpRepository()

#### disconnect

    public void disconnect()

#### getAuthentication

    public java.lang.String getAuthentication()

#### getHost

    public java.lang.String getHost()

#### getUsername

    public java.lang.String getUsername()

#### setAuthentication

    public void setAuthentication(java.lang.String authentication)

#### setHost

    public void setHost(java.lang.String host)

#### setUsername

    public void setUsername(java.lang.String username)

#### setReuseConnection

    public void setReuseConnection(long time)

#### setReadTimeout

    public void setReadTimeout(long readTimeout)